Loading...
Searching...
No Matches
itk::BinaryTreeBase< TListSample > Class Template Referenceabstract
Common » ANNwrap

`#include <itkBinaryTreeBase.h>`

## Detailed Description

template<class TListSample>
class itk::BinaryTreeBase< TListSample >

Definition at line 36 of file itkBinaryTreeBase.h.

Inheritance diagram for itk::BinaryTreeBase< TListSample >:
[legend]

## Public Types

using | ConstPointer = SmartPointer<const Self>
using | MeasurementVectorSizeType = typename SampleType::MeasurementVectorSizeType
using | MeasurementVectorType = typename SampleType::MeasurementVectorType
using | Pointer = SmartPointer<Self>
using | SampleType = TListSample
using | Self = BinaryTreeBase
using | Superclass = DataObject
using | TotalAbsoluteFrequencyType = typename SampleType::TotalAbsoluteFrequencyType

## Public Member Functions

virtual void | GenerateTree ()=0
TotalAbsoluteFrequencyType | GetActualNumberOfDataPoints () const
virtual const char * | GetClassName () const
MeasurementVectorSizeType | GetDataDimension () const
TotalAbsoluteFrequencyType | GetNumberOfDataPoints () const
virtual const SampleType * | GetSample ()
| ITK_DISALLOW_COPY_AND_MOVE (BinaryTreeBase)
virtual void | SetSample (SampleType *_arg)

## Protected Member Functions

| BinaryTreeBase ()
void | PrintSelf (std::ostream &os, Indent indent) const override
| ~BinaryTreeBase () override=default

## Private Attributes

SampleType::Pointer | m_Sample {}

## Member Typedef Documentation

## ConstPointer

template<class TListSample>

using itk::BinaryTreeBase< TListSample >::ConstPointer = SmartPointer<const Self>

Definition at line 45 of file itkBinaryTreeBase.h.

## MeasurementVectorSizeType

template<class TListSample>

using itk::BinaryTreeBase< TListSample >::MeasurementVectorSizeType = typename SampleType::MeasurementVectorSizeType

Definition at line 55 of file itkBinaryTreeBase.h.

## MeasurementVectorType

template<class TListSample>

using itk::BinaryTreeBase< TListSample >::MeasurementVectorType = typename SampleType::MeasurementVectorType

Typedef's.

Definition at line 54 of file itkBinaryTreeBase.h.

## Pointer

template<class TListSample>

using itk::BinaryTreeBase< TListSample >::Pointer = SmartPointer<Self>

Definition at line 44 of file itkBinaryTreeBase.h.

## SampleType

template<class TListSample>

using itk::BinaryTreeBase< TListSample >::SampleType = TListSample

Typedef's.

Definition at line 51 of file itkBinaryTreeBase.h.

## Self

template<class TListSample>

using itk::BinaryTreeBase< TListSample >::Self = BinaryTreeBase

Standard itk.

Definition at line 42 of file itkBinaryTreeBase.h.

## Superclass

template<class TListSample>

using itk::BinaryTreeBase< TListSample >::Superclass = DataObject

Definition at line 43 of file itkBinaryTreeBase.h.

## TotalAbsoluteFrequencyType

template<class TListSample>

using itk::BinaryTreeBase< TListSample >::TotalAbsoluteFrequencyType = typename SampleType::TotalAbsoluteFrequencyType

Definition at line 56 of file itkBinaryTreeBase.h.

## Constructor & Destructor Documentation

## BinaryTreeBase()

template<class TListSample>

itk::BinaryTreeBase< TListSample >::BinaryTreeBase | ( |  | ) |

protected

Constructor.

## ~BinaryTreeBase()

template<class TListSample>

itk::BinaryTreeBase< TListSample >::~BinaryTreeBase | ( |  | ) |

override protected default

Destructor.

## Member Function Documentation

## GenerateTree()

template<class TListSample>

virtual void itk::BinaryTreeBase< TListSample >::GenerateTree | ( |  | ) |

pure virtual

Generate the tree.

Implemented in itk::ANNbdTree< TListSample >, itk::ANNbdTree< ListSampleType >, itk::ANNBruteForceTree< TListSample >, itk::ANNBruteForceTree< ListSampleType >, itk::ANNkDTree< TListSample >, and itk::ANNkDTree< ListSampleType >.

## GetActualNumberOfDataPoints()

template<class TListSample>

TotalAbsoluteFrequencyType itk::BinaryTreeBase< TListSample >::GetActualNumberOfDataPoints | ( |  | ) | const

Get the actual number of data points.

## GetClassName()

template<class TListSample>

virtual const char * itk::BinaryTreeBase< TListSample >::GetClassName | ( |  | ) | const

virtual

ITK type info.

Reimplemented in itk::ANNbdTree< TListSample >, itk::ANNbdTree< ListSampleType >, itk::ANNBruteForceTree< TListSample >, itk::ANNBruteForceTree< ListSampleType >, itk::ANNkDTree< TListSample >, itk::ANNkDTree< ListSampleType >, itk::BinaryANNTreeBase< TListSample >, and itk::BinaryANNTreeBase< ListSampleType >.

## GetDataDimension()

template<class TListSample>

MeasurementVectorSizeType itk::BinaryTreeBase< TListSample >::GetDataDimension | ( |  | ) | const

Get the dimension of the input data.

## GetNumberOfDataPoints()

template<class TListSample>

TotalAbsoluteFrequencyType itk::BinaryTreeBase< TListSample >::GetNumberOfDataPoints | ( |  | ) | const

Get the number of data points.

## GetSample()

template<class TListSample>

virtual const SampleType * itk::BinaryTreeBase< TListSample >::GetSample | ( |  | ) |

virtual

## ITK_DISALLOW_COPY_AND_MOVE()

template<class TListSample>

itk::BinaryTreeBase< TListSample >::ITK_DISALLOW_COPY_AND_MOVE | ( | BinaryTreeBase< TListSample > |  | ) |

## PrintSelf()

template<class TListSample>

void itk::BinaryTreeBase< TListSample >::PrintSelf | ( | std::ostream & | os,
|  | Indent | indent ) const

override protected

PrintSelf.

## SetSample()

template<class TListSample>

virtual void itk::BinaryTreeBase< TListSample >::SetSample | ( | SampleType * | _arg | ) |

virtual

Set and get the samples: the array of points.

## Field Documentation

## m_Sample

template<class TListSample>

SampleType::Pointer itk::BinaryTreeBase< TListSample >::m_Sample {}

private

Store the samples.

Definition at line 91 of file itkBinaryTreeBase.h.

Generated on 1768596610 for elastix by 1.15.0 |